Skip to main content
GET
/
v3
/
products
/
{productId}
Get product by ID
curl --request GET \
  --url https://api.snappy.com/public-api/v3/products/{productId} \
  --header 'X-Api-Key: <api-key>'
{
  "id": "655277e68e0719000d6c3fd5",
  "title": "NFL 25-Layer StadiumView Wall Art",
  "createdAt": "2026-05-11T10:53:01.026Z",
  "media": [
    {
      "type": "image",
      "src": "https://media.snappy.com/image/o1xc17wfbda6cl91hm0r6_picture-1.jpg?w=1000&h=1000&q=80&f=auto"
    }
  ],
  "category": {
    "fullName": "Fan Merchandise / NFL / NFL Memorabilia / Autographed Helmets"
  },
  "catalog": "marketplace",
  "type": "physical",
  "brand": {
    "id": "6511b55142c420000d083a55",
    "name": "YouTheFan",
    "description": "Officially licensed NFL fan merchandise."
  },
  "tags": [
    {
      "id": "tag12345",
      "name": "Sustainable"
    }
  ],
  "options": [
    {
      "name": "nfl_team",
      "displayName": "Team",
      "displayType": "image",
      "values": [
        {
          "displayName": "Denver Broncos",
          "value": "Denver Broncos",
          "firstSelectableVariant": {
            "id": "FB6bgFV4lf",
            "title": "NFL 25-Layer StadiumView Wall Art",
            "selectedOptions": {
              "nfl_team": "Denver Broncos"
            },
            "taxable": true,
            "media": [
              {
                "type": "image",
                "src": "https://media.snappy.com/image/o1xc17wfbda6cl91hm0r6_picture-1.jpg?w=1000&h=1000&q=80&f=auto"
              }
            ],
            "personalization": {
              "isPersonalized": true,
              "personalizationTemplateFields": [
                "firstName",
                "lastName",
                "department"
              ]
            },
            "productId": "655277e68e0719000d6c3fd5",
            "price": {
              "amount": 244.99,
              "currency": "USD"
            },
            "priceBreakdown": {
              "ddp": 0,
              "shippingFee": 0,
              "itemPrice": 244.99
            },
            "partnerPrice": {
              "amount": 45.7,
              "currency": "usd"
            },
            "descriptionHtml": "<p>The 25-Layer StadiumViews 3D Wall Art</p>",
            "details": {
              "includes": "<p>Set of 4 glasses (12oz each)</p>",
              "features": "<ul><li>Feature</li></ul>",
              "specifications": {
                "material": "lead-free glass",
                "capacity": "12oz",
                "dimensions": "4.5' tall"
              },
              "notices": {
                "prop65Warning": "Warning text"
              }
            },
            "brand": {
              "id": "6511b55142c420000d083a55",
              "name": "YouTheFan",
              "description": "Officially licensed NFL fan merchandise."
            }
          }
        }
      ]
    }
  ],
  "priceRange": {
    "min": {
      "amount": 244.99,
      "currency": "USD"
    },
    "max": {
      "amount": 244.99,
      "currency": "USD"
    }
  },
  "variantsCount": 9
}

Authorizations

X-Api-Key
string
header
required

Company Level Authentication

Include your API key in the X-Api-Key header for every request:

X-Api-Key: YOUR_API_KEY

Headers

snappy-account-id
string

Optional account identifier for swag validation/filtering.

Example:

"acc123456"

snappy-company-id
string

Optional company identifier for swag validation/filtering.

Example:

"cmp123456"

Path Parameters

productId
string
required

Stable product ID.

Pattern: ^[A-Za-z0-9]{8,}$
Example:

"655277e68e0719000d6c3fd5"

Query Parameters

location
string
default:US

ISO 3166-1 alpha-2 country code.

Pattern: ^[A-Z]{2}$
Example:

"US"

filter[price][gte]
number | null

Inclusive minimum variant price filter.

Required range: x >= 0
Example:

10

filter[price][lte]
number | null

Inclusive maximum variant price filter.

Required range: x >= 0
Example:

200

include
enum<string>[]

Related entities to include.

Related entities to include.

Available options:
brand,
tags
Example:
["brand", "tags"]
fields
enum<string>[]

Computed or expanded product fields.

Computed or expanded fields for product responses.

Available options:
options,
priceRange,
variantsCount
Example:
["options", "priceRange", "variantsCount"]

Response

Product.

Product.

id
string
required

Stable product identifier.

Example:

"655277e68e0719000d6c3fd5"

title
string
required

Product title.

Example:

"NFL 25-Layer StadiumView Wall Art"

createdAt
string<date-time>
required

Product creation date.

Example:

"2026-05-11T10:53:01.026Z"

media
object[]
required

Product media.

category
object
required

Product category.

catalog
enum<string>
required

Product catalog.

Available options:
marketplace,
swag
Example:

"marketplace"

type
enum<string>
required

Product type.

Available options:
physical,
digital,
giftCard,
donation
Example:

"physical"

brand
object

Product or variant brand. Returned only when include=brand. Nullable when the product or variant has no brand.

tags
object[]

Returned only when include=tags.

options
object[]

Aggregated variant options.

priceRange
object

Min/max pricing across the product's variants. Returned only when fields includes priceRange.

variantsCount
integer

Returned only when fields includes variantsCount.

Required range: x >= 0
Example:

9

Last modified on June 17, 2026